/*
 * nlc.h
 */
#ifndef __NLC__H__
#define __NLC__H__
#ifndef _SIZE_T
typedef unsigned long long	size_t;
#endif


/* pr{str,num,hex} */
char*	prstr(char *dst_b, char *dst_e, const char *src);
char*	prstr_width(char *dst_b, char *dst_e, const char *src_b, const char *src_e, int width, char fil_pre, const char *str_pre, char fil_post);
char*	prnum(char *dst_b, char *dst_e, int num, int width);
char*	prhex(char *dst_b, char *dst_e, unsigned int unum, int width);

/* nlc */
#ifndef _STRING_H
int	strlen(const char *str);
int	strcmp(const char *str1, const char *str2);
char*	strcpy(char *dst, const char *src);
void*	memcpy(void *dst, const void *src, size_t n);
void	bcopy(const void *src, void *dst, int n);
#endif /*_STRING_H*/

/* misc */
int	putstr(const char *s);
int	putnum(int i);
int	puthex(unsigned int u);
int	putptr(void *v);
int	dump16(const void *a);
int	puts(const char *s1);
int	putss(const char *s1, const char *s2);
int	putsn(const char *s1, int n1);
int	putsx(const char *s1, int n1);
void	prarg(int argc, char *av[]);

#endif /*__NLC__H__*/
