/*
 * penguin.c
 */

#ifdef __i386__
#define PATH "/usr/home/mako/work/bitmap/pen/"
#include "nlc.c"
int fbioctl(int cmd, int *arg)
{
	printf("%3d %3d %3d %3d %3d\n",arg[0],arg[1],arg[2],arg[3],arg[4]);
	return 0;
}
#else
#define PATH "/share/icon/dpenguin/"
#endif

extern int zxfb_put(void*,unsigned long);


char	buf[10000];
int	m[256];
int	putbuf[24*(100*100+6)];
int	*putbufp[24];


char *genum(char *s, int *n)
{
	int	c, d, f;
	  /**/
	for(;;){
		if((c = *s++) == 0){
			return 0;
		}
		if(c > ' ' && c < 127){
			break;
		}
	}
	f = 0;
	if(c == '-'){
		f = 1;
		if((c = *s++) == 0){
			return 0;
		}
	}
	for(d = 0; c >= '0' && c <= '9';){
		d = d * 10 + c - '0';
		f = f | 2;
		c = *s++;
	}
	if((f & 2) == 0){
		return 0;
	}
	if(f & 1){
		d = -d;
	}
	*n = d;
	return s - 1;
}


char *gehex(char *s, int *n, int w)
{
	int	c, d, f;
	  /**/
	for(;;){
		if((c = *s++) == 0){
			return 0;
		}
		if(c > ' ' && c < 127){
			break;
		}
	}
	f = 0;
	for(d = 0; w != 0;){
		if(c >= '0' && c <= '9'){
			c = c - '0';
		}else if(c >= 'A' && c <= 'F'){
			c = c - 'A' + 10;
		}else if(c >= 'a' && c <= 'f'){
			c = c - 'A' + 10;
		}else{
			break;
		}
		d = (d << 4) | c;
		f = f | 2;
		c = *s++;
		if(w > 0){
			--w;
		}
	}
	if(f == 0){
		return 0;
	}
	*n = d;
	return s - 1;
}


int xpmread(char *filename, int *putbuf)
{
        char	*p, *q;
	int	*s;
	int	fd, status, c, i, width, height, color, nazo;
	int	r, g, b;

	//puts("xpmread",filename);
	if((fd= open(filename,0,0)) < 0){
		puts("open fail");
		return -1;
	}
	memset(buf,0,sizeof(buf));
        if(read(fd,buf,sizeof(buf)) <= 0){
		puts("read fail");
		close(fd);
		return -2;
	}
	s = putbuf; 
	*s++ = 0;
	s += 6;
	for(p = buf, status = 0, i = 0;;){
		if(*p == '"'){
			if(status == 0){
				if((q = genum(p+1,&width)) != 0
				  && (q = genum(q,&height)) != 0
				  && (q = genum(q,&color)) != 0
				  && (q = genum(q,&nazo)) != 0){
					status = 1;
					p = q;
//putstr("%%%"); putnum(width); putstr(","); putnum(height);
				}
			}else if(status == 1){
				c = *(p + 1);
				for(p = p + 2; *p == ' ' || *p == '\t'; ++p);
				r = g = b = -1;
				m[c] = -1;
				if(*p == 'c'){
					p += 2;
				}
				if(*p == '#'){
					if((q = gehex(p+1,&r,4)) != 0
					  && (q = gehex(q,&g,4)) != 0
					  && (q = gehex(q,&b,4)) != 0){
#define V5(x) ((x)>>11&31)
#define V6(x) ((x)>>10&63)
						m[c] = V5(r)<<11 | V6(g)<<5 | V5(b);
#undef V5(x)
#undef V6(x)
					}
				}
				if(++i == color){
					status = 2;
					i = 0;
				}
			}else{
				for(p = p + 1; (c = *p++) != '"';){
					*s++ = m[c];
				}
				i = i + 1;
			}
		}
		L1:
		if(*p == 0){
			break;
		}
		if(*p != '\n'){
			p = p + 1;
			goto L1;
		}
		p = p + 1;
	}
        close(fd);
	i = (s - putbuf) * sizeof(putbuf[0]);
	s = putbuf; 
	*s++ = i; //length
	*s++ = 1; // cmd
	*s++ = 0; //x
	*s++ = 0; //y
	*s++ = width;
	*s++ = height;
	//fbioctl(putbuf);
	//puts("xpmread osimai");
	return 0;
}


int xpmdisp(int *putbuf, int x, int y, int s)
{
	putbuf[1] = s;
	putbuf[2] = x;
	putbuf[3] = y;
	//return fbioctl(putbuf);
	return zxfbctrl(putbuf+1, putbuf[0]);
}


int main(int ac, char **av)
{
	int	i, l, r, x, y, s;
	int	*pp;
	char	buf[256];
	  /**/
puts(__FILE__);
	strcpy(buf,PATH "dpenguin.xpm.");
putss("buf=",buf);
	l = strlen(buf);
putsn("l=",l);
	pp = putbuf;
	x = 200;
	y = 200;
	s = 2;
	if(ac >= 2){
		x = 100;
		y = 20;
		s = 1;
	}
	for(i = 0; i < 24; ++i){
//write(1,"#",1);
		r = l;
		if(i >= 10){
			buf[r++] = i / 10 + '0';
		}
		buf[r++] = i % 10 + '0';
		buf[r] = 0;
		r = xpmread(buf,pp);
		if(r < 0){
putsn("xpmread error i=",i);
			return -r;
		}
		putbufp[i] = pp;
		pp = (int*)((char*)pp + *pp);
	}
	for(;;){
		for(i = 0; i < 24; ++i){
			r = xpmdisp(putbufp[i],x,y,s);
			if(r == -1){
				return -r;
			}
		}
	}
}
